LPQ(1)

NAME
lpq - spool queue examination program

SYNOPSIS
lpq [ -a ] [ -A ] [ -l ] [ -P printer ] [ -s ]
[ -t sleeptime ] [ -V ] [ -D debugopt ]
[ jobid... ]

DESCRIPTION
lpq requests a status report from lpd(8) on the specified printers or jobs. lpq invoked without any arguments reports on the printer given by the default printer (see -P option). The short (default) format simply lists the printer, host, and numbers of jobs in the spool queue. When using the long format (-l option), for each job in a spool queue lpq reports the job identifier which is generated from the user's name and originating host, current rank in the queue, the job number (which may be supplied to lprm(1) for removing a specific job), the job description information, and the total size in bytes. If there is an error or other problem with the job, this information may be modified to reflect the problems. In a spool queue, Job ordering is a modified FIFO (First in First Out), modified by the job class and priority information.

The following options are available.

-A  Use authentication when sending requests to lpd(1) server.

-Ddebugoptions
    Debugging is controlled using the -D option. This accepts a comma-separated list of debugging settings. These settings take one of two forms: facility=value , or value to set an overall default value.

-P printer
    The specific printer queue to list; the default is (in order of priority) the explictly specified -P value, the environment variable PRINTER, the first entry in the printcap information, and the default_printer entry from the configuration file, and finally the hard coded (site dependent) default_printer value. Note that the special printer all has the same affect as the -a option.

-V  Print version information.

-a  All printers listed in the printcap(5) database are reported. This list is generated by the server, and may differ from what the user printcap information contains.

-l  Increase verbosity of the long display format. A single -l options selects a short verbose display, multiple -l options increase the verbosity.

-s  Display a short, single line status summary for each queue and subqueue.

-tsleeptime
    Forces lpq to periodically display the spool queues and then sleep sleeptime seconds between scans of the queue.

jobid ... all
    The options are followed by a list of jobids which are used to select jobs of interest. A jobid can be a user name, a job identifier, a job number, or a glob based pattern which will be applied to the job identifiers. The all keyword will display all jobs and is the default option.

The lpq will report the status of the spool queue (enabled for spooling, disabled for unspooling), and the absence of a server if unspooling is enabled. The lpc(1) command lpc start <printer> may be used to start the server if this is the case.

FILES

The files used by LPRng are set by values in the printer configuration file. The following are a commonly used set of default values.
/etc/lpd.conf		LPRng configuration file
/etc/printcap		printer description file
/etc/lpd.perms	printer permissions
/var/spool/printer*		spool directories
/var/spool/printer*/printer	lock file for queue control
/var/spool/printer*/control.printer	queue control
/var/spool/printer*/active.printer	active job
/var/spool/printer*/log.printer	log file

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY

LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. In 1988 Patrick Powell released the PLP (Public Line Printer) software, which went through several evolutions. Justin Mason (jmason@iona.ie) generated PLP4.0 from several older releases of PLP. In 1992 Patrick Powell release LPRng, a completely redesigned and newly written version of the software.

The LPRng mailing list is plp@iona.ie; subscribe by sending mail to plp-request@iona.ie with the word subscribe in the body. The software is available from ftp://iona.ie/pub/LPRng.

LPRng is distributed under the GNU software license for non-commercial use, the Artistic License for limited commercial use. Commerical support and licensing is available through Patrick Powell <papowell@sdsu.edu>.